# EGLNVSync (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengles
Class EGLNVSync

    java.lang.Object
      org.lwjgl.opengles.EGLNVSync

    public final class EGLNVSync

extends java.lang.Object

EGL_NV_sync wrapper class.

Field Summary
`static int` `EGL_ALREADY_SIGNALED_NV` Returned by eglClientWaitSyncNV:
`static int` `EGL_CONDITION_SATISFIED_NV` Returned by eglClientWaitSyncNV:
`static long` `EGL_FOREVER_NV` Accepted in the <timeout> parameter of eglClientWaitSyncNV:
`static long` `EGL_NO_SYNC_NV` Returned by eglCreateFenceSyncNV in the event of an error:
`static int` `EGL_SIGNALED_NV` Accepted as an attribute value in the <attrib_list> parameter of eglCreateFenceSyncNV for the EGL_SYNC_STATUS_NV attribute, by the <mode> parameter of eglSignalSyncNV and returned in <value> when eglGetSyncAttribNV is called with <attribute> EGL_SYNC_STATUS_NV:
`static int` `EGL_SYNC_CONDITION_NV` Accepted in the <attribute> parameter of eglGetSyncAttribNV:
`static int` `EGL_SYNC_FENCE_NV` Returned in <value> when eglGetSyncAttribNV is called with <attribute> EGL_SYNC_TYPE_NV:
`static int` `EGL_SYNC_FLUSH_COMMANDS_BIT_NV` Accepted in the <flags> parameter of eglClientWaitSyncNV:
`static int` `EGL_SYNC_PRIOR_COMMANDS_COMPLETE_NV` Accepted in the <condition> parameter of eglCreateFenceSyncNV, and returned in <value> when eglGetSyncAttribNV is called with <attribute> EGL_SYNC_CONDITION_NV:
`static int` `EGL_SYNC_STATUS_NV` Accepted as an attribute name in the <attrib_list> parameter of eglCreateFenceSyncNV, and by the <attribute> parameter of eglGetSyncAttribNV:
`static int` `EGL_SYNC_TYPE_NV` Accepted in the <attribute> parameter of eglGetSyncAttribNV:
`static int` `EGL_TIMEOUT_EXPIRED_NV` Returned by eglClientWaitSyncNV:
`static int` `EGL_UNSIGNALED_NV` Accepted as an attribute value in the <attrib_list> parameter of eglCreateFenceSyncNV for the EGL_SYNC_STATUS_NV attribute, by the <mode> parameter of eglSignalSyncNV and returned in <value> when eglGetSyncAttribNV is called with <attribute> EGL_SYNC_STATUS_NV:

Method Summary
`static int` `eglClientWaitSyncNV(EGLSyncNV sync, int flags, long timeout)` Blocks the calling thread until the specified sync object is signaled, or until a specified timeout value expires.
`static EGLSyncNV` `eglCreateFenceSyncNV(EGLDisplay dpy, int condition, java.nio.IntBuffer attrib_list)` Creates a fence sync object for the specified EGL display and returns a handle to the new object.
`static void` `eglDestroySyncNV(EGLSyncNV sync)` Destroys an existing sync object.
`static void` `eglFenceNV(EGLSyncNV sync)` Inserts a fence command into the command stream of the bound API's current context and associates it with sync object.
`static int` `eglGetSyncAttribNV(EGLSyncNV sync, int attribute)` Returns the value of the sync object attribute.
`static void` `eglSignalSyncNV(EGLSyncNV sync, int mode)` Signals or unsignals the sync object by changing its status to the specified mode.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EGL_SYNC_PRIOR_COMMANDS_COMPLETE_NV

    public static final int EGL_SYNC_PRIOR_COMMANDS_COMPLETE_NV

  Accepted in the <condition> parameter of eglCreateFenceSyncNV, and returned in <value> when eglGetSyncAttribNV is called with <attribute> EGL_SYNC_CONDITION_NV:

  See Also:
    Constant Field Values

### EGL_SYNC_STATUS_NV

    public static final int EGL_SYNC_STATUS_NV

  Accepted as an attribute name in the <attrib_list> parameter of eglCreateFenceSyncNV, and by the <attribute> parameter of eglGetSyncAttribNV:

  See Also:
    Constant Field Values

### EGL_SIGNALED_NV

    public static final int EGL_SIGNALED_NV

  Accepted as an attribute value in the <attrib_list> parameter of eglCreateFenceSyncNV for the EGL_SYNC_STATUS_NV attribute, by the <mode> parameter of eglSignalSyncNV and returned in <value> when eglGetSyncAttribNV is called with <attribute> EGL_SYNC_STATUS_NV:

  See Also:
    Constant Field Values

### EGL_UNSIGNALED_NV

    public static final int EGL_UNSIGNALED_NV

  Accepted as an attribute value in the <attrib_list> parameter of eglCreateFenceSyncNV for the EGL_SYNC_STATUS_NV attribute, by the <mode> parameter of eglSignalSyncNV and returned in <value> when eglGetSyncAttribNV is called with <attribute> EGL_SYNC_STATUS_NV:

  See Also:
    Constant Field Values

### EGL_SYNC_FLUSH_COMMANDS_BIT_NV

    public static final int EGL_SYNC_FLUSH_COMMANDS_BIT_NV

  Accepted in the <flags> parameter of eglClientWaitSyncNV:

  See Also:
    Constant Field Values

### EGL_FOREVER_NV

    public static final long EGL_FOREVER_NV

  Accepted in the <timeout> parameter of eglClientWaitSyncNV:

  See Also:
    Constant Field Values

### EGL_ALREADY_SIGNALED_NV

    public static final int EGL_ALREADY_SIGNALED_NV

  Returned by eglClientWaitSyncNV:

  See Also:
    Constant Field Values

### EGL_TIMEOUT_EXPIRED_NV

    public static final int EGL_TIMEOUT_EXPIRED_NV

  Returned by eglClientWaitSyncNV:

  See Also:
    Constant Field Values

### EGL_CONDITION_SATISFIED_NV

    public static final int EGL_CONDITION_SATISFIED_NV

  Returned by eglClientWaitSyncNV:

  See Also:
    Constant Field Values

### EGL_SYNC_TYPE_NV

    public static final int EGL_SYNC_TYPE_NV

  Accepted in the <attribute> parameter of eglGetSyncAttribNV:

  See Also:
    Constant Field Values

### EGL_SYNC_CONDITION_NV

    public static final int EGL_SYNC_CONDITION_NV

  Accepted in the <attribute> parameter of eglGetSyncAttribNV:

  See Also:
    Constant Field Values

### EGL_SYNC_FENCE_NV

    public static final int EGL_SYNC_FENCE_NV

  Returned in <value> when eglGetSyncAttribNV is called with <attribute> EGL_SYNC_TYPE_NV:

  See Also:
    Constant Field Values

### EGL_NO_SYNC_NV

    public static final long EGL_NO_SYNC_NV

  Returned by eglCreateFenceSyncNV in the event of an error:

  See Also:
    Constant Field Values

Method Detail

### eglCreateFenceSyncNV

    public static EGLSyncNV eglCreateFenceSyncNV(EGLDisplay dpy,
                                                 int condition,
                                                 java.nio.IntBuffer attrib_list)
                                          throws LWJGLException

  Creates a fence sync object for the specified EGL display and returns a handle to the new object.

  Parameters:
    `dpy` - the EGL display
    `condition` - the sync condition
    `attrib_list` - an attribute list (may be null)
  Returns:
    the created fence sync object
  Throws:
    `LWJGLException` - if an EGL error occurs.

### eglDestroySyncNV

    public static void eglDestroySyncNV(EGLSyncNV sync)
                                 throws LWJGLException

  Destroys an existing sync object.

  Parameters:
    `sync` - the sync object
  Throws:
    `LWJGLException` - if an EGL error occurs.

### eglFenceNV

    public static void eglFenceNV(EGLSyncNV sync)
                           throws LWJGLException

  Inserts a fence command into the command stream of the bound API's current context and associates it with sync object.

  Parameters:
    `sync` - the sync object
  Throws:
    `LWJGLException` - if an EGL error occurs.

### eglClientWaitSyncNV

    public static int eglClientWaitSyncNV(EGLSyncNV sync,
                                          int flags,
                                          long timeout)
                                   throws LWJGLException

  Blocks the calling thread until the specified sync object is signaled, or until a specified timeout value expires.

  Parameters:
    `sync` - the sync object
    `flags` - the block flags
    `timeout` - the block timeout
  Returns:
    the sync object status
  Throws:
    `LWJGLException` - if an EGL error occurs.

### eglSignalSyncNV

    public static void eglSignalSyncNV(EGLSyncNV sync,
                                       int mode)
                                throws LWJGLException

  Signals or unsignals the sync object by changing its status to the specified mode.

  Parameters:
    `sync` - the sync object
    `mode` - the mode
  Throws:
    `LWJGLException` - if an EGL error occurs.

### eglGetSyncAttribNV

    public static int eglGetSyncAttribNV(EGLSyncNV sync,
                                         int attribute)
                                  throws LWJGLException

  Returns the value of the sync object attribute.

  Parameters:
    `sync` - the sync object
    `attribute` - the attribute to query
  Returns:
    the attribute value
  Throws:
    `LWJGLException` - if an EGL error occurs.

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.